{% extends "base.html" %}

{% block title %}
    To Do Lists
{% endblock title %}

{% block content %}
<main>
    <div>
        <h1>{{ list.name }}</h1>
        <div>
            <p>
                <a href="{% url "todo_list_update" list.id %}">Edit</a>
            </p>
            <p>
                <a href="{% url "todo_list_delete" list.id %}">Delete</a>
            </p>

        </div>
        <table>
            <thead>
                <th>Task</th>
                <th>Due Date</th>
            </thead>
            <tbody>
                {% for item in list.items.all %}
                <tr>
                    <td><a href="{% url "todo_item_update" item.id %}"> {{ item.task }} </a></td>
                    <td>{{ item.due_date }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock content %}
